org.apache.hc.client5.http.nio

## Interface AsyncClientConnectionOperator

    @Internal
    public interface AsyncClientConnectionOperator

Since:
  5.0

### Method Summary

Methods
`Future<ManagedAsyncClientConnection>` `connect(org.apache.hc.core5.reactor.ConnectionInitiator connectionInitiator, org.apache.hc.core5.http.HttpHost host, SocketAddress localAddress, org.apache.hc.core5.util.TimeValue connectTimeout, Object attachment, org.apache.hc.core5.concurrent.FutureCallback<ManagedAsyncClientConnection> callback)`
`void` `upgrade(ManagedAsyncClientConnection connection, org.apache.hc.core5.http.HttpHost host, Object attachment)`

### Method Detail

#### connect

    Future<ManagedAsyncClientConnection> connect(org.apache.hc.core5.reactor.ConnectionInitiator connectionInitiator,
                                               org.apache.hc.core5.http.HttpHost host,
                                               SocketAddress localAddress,
                                               org.apache.hc.core5.util.TimeValue connectTimeout,
                                               Object attachment,
                                               org.apache.hc.core5.concurrent.FutureCallback<ManagedAsyncClientConnection> callback)

#### upgrade

    void upgrade(ManagedAsyncClientConnection connection,
               org.apache.hc.core5.http.HttpHost host,
               Object attachment)